<template>
  <div class="divContainer">
    <b-card no-body class="mb-1 text-center bg-secondary">
      <b-card-header header-tag="header" class="p-1" role="tab">
        <b-card-text class="tools_header">
          {{ $t("message.tools_header") }}
        </b-card-text>
      </b-card-header>
    </b-card>
    <b-card-group deck>
      <b-card align="center">
        <b-button v-b-toggle.collapse-1 class="col-md-12">
          {{ $t("message.tools_measure_item") }}
        </b-button>
        <b-collapse id="collapse-1" class="mt-2">
          <b-card>
            <b-button
              v-b-toggle.accordion-2
              class="col-md-12 mt-2"
              value="Polygon"
              @click="changeMeasurementType"
            >
              {{ $t("message.tools_area_measurement") }}
            </b-button>
            <b-collapse id="accordion-2" class="mt-2" accordion="measurement-accordion">
              <b-card>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_area_measurement_draw_message')"
                  class="col-md-12 mt-2"
                  value="draw"
                  @click="changeDrawType">
                  {{ $t("message.tools_area_measurement_draw") }}
                </b-button>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_area_measurement_edit_message')"
                  class="col-md-12 mt-2"
                  value="modify"
                  @click="changeDrawType"
                >
                  {{ $t("message.tools_area_measurement_edit") }}
                </b-button>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_area_measurement_delete_message')"
                  class="col-md-12 mt-2"
                  value="delete"
                  @click="changeDrawType"
                >
                  {{ $t("message.tools_area_measurement_delete") }}
                </b-button>
              </b-card>
            </b-collapse>
            <b-button
              v-b-toggle.accordion-3
              class="col-md-12 mt-2"
              value="LineString"
              @click="changeMeasurementType"
            >
              {{ $t("message.tools_length_measurement") }}
            </b-button>
             <b-collapse id="accordion-3" class="mt-2" accordion="measurement-accordion">
              <b-card>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_length_measurement_draw_message')"
                  class="col-md-12 mt-2"
                  value="draw"
                  @click="changeDrawType">
                  {{ $t("message.tools_length_measurement_draw") }}
                </b-button>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_length_measurement_edit_message')"
                  class="col-md-12 mt-2"
                  value="modify"
                  @click="changeDrawType"
                >
                  {{ $t("message.tools_length_measurement_edit") }}
                </b-button>
                <b-button
                  v-b-popover.hover.top="$t('message.tools_length_measurement_delete_message')"
                  class="col-md-12 mt-2"
                  value="delete"
                  @click="changeDrawType"
                >
                  {{ $t("message.tools_length_measurement_delete") }}
                </b-button>
              </b-card>
            </b-collapse>
          </b-card>
        </b-collapse>
      </b-card>
    </b-card-group>
  </div>
</template>
<script>
export default {
  data() {
    return {
      measurement_type: "Polygon",
    };
  },
  props: {
    drawPolygon: Function,
    drawLine: Function,
  },
  methods: {
    changeMeasurementType(evt) {
      let measurement_type = evt.target.value;
      this.$emit("measurementType", measurement_type);
    },
    changeDrawType(evt) {
      let draw_type = evt.target.value;
      this.$emit("drawType", draw_type);
    },
  },
};
</script>
<style scoped>
.divContainer {
  width: 300px;
  height: 200px;
}
.tools_header {
  text-align: center;
  font-weight: bold;
  padding: 10px;
  color: #ffffff;
}
</style>
